package com.its.vms.entity;

import com.its.app.utils.ImageUtils;
import com.its.vms.dto.TbVmsFontColrDto;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 *  Entity Class
 */
@Getter
@Builder
@NoArgsConstructor//(access = AccessLevel.PROTECTED)
@AllArgsConstructor
public class TbVmsFontColr implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer vmsFontColrCd;
    private String vmsFontColrNm;
    private Long vmsFontColrVal;

    public TbVmsFontColrDto toDto() {
        return TbVmsFontColrDto.builder()
                .vmsFontColrCd(this.vmsFontColrCd)
                .vmsFontColrNm(this.vmsFontColrNm)
                .vmsFontColrVal(this.vmsFontColrVal)
                //.vmsFontColor(new Color(this.vmsFontColrVal & 0xFF, (this.vmsFontColrVal & 0xFF00) >> 8, (this.vmsFontColrVal & 0xFF0000) >> 16))
                .vmsFontColor(ImageUtils.getRGB(this.vmsFontColrVal.intValue()))
                .build();
    }
}
